libgnet2.0-0_2.0.8-2.2_amd64.deb


Advertisement

Description

libgnet2.0-0 - GNet network library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgnet2.0-0
Package version 2.0.8
Package release 2.2
Package architecture amd64
Package type deb
Installed size 235 B
Download size 116.21 KB
Official Mirror ftp.br.debian.org
GNet is a simple network library.  It is written in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.
Features:
* TCP 'client' sockets
* TCP 'server' sockets
* Non-blocking TCP sockets
* UDP
* IP Multicast
* Internet address abstraction
* IPv6

Alternatives

Package Version Architecture Repository
libgnet2.0-0_2.0.8-2.2_i386.deb 2.0.8 i386 Debian Main
libgnet2.0-0 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.24.0

Download

Type URL
Binary Package libgnet2.0-0_2.0.8-2.2_amd64.deb
Source Package gnet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnet2.0-0 deb package:
    # sudo apt-get install libgnet2.0-0

Files

Path
/usr/lib/libgnet-2.0.so.0
/usr/lib/libgnet-2.0.so.0.8.0
/usr/share/doc/libgnet2.0-0/AUTHORS
/usr/share/doc/libgnet2.0-0/BUGS
/usr/share/doc/libgnet2.0-0/NEWS.gz
/usr/share/doc/libgnet2.0-0/README.gz
/usr/share/doc/libgnet2.0-0/TODO
/usr/share/doc/libgnet2.0-0/changelog.Debian.gz
/usr/share/doc/libgnet2.0-0/changelog.gz
/usr/share/doc/libgnet2.0-0/copyright

Changelog

2012-01-31 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
gnet (2.0.8-2.2) unstable; urgency=low
* Non-maintainer upload.
* debian/patches/50_use_pkg_config_to_get_glib_path.patch
- use pkg-config to get the glib include path, not hardcode it.
Thanks Julien Cristau <jcristau@debian.org>.
2011-09-08 - Aurelien Jarno <aurel32@debian.org>
gnet (2.0.8-2.1) unstable; urgency=low
* Non-maintainer upload.
* debian/patches/02_examples_link_glib2.0.patch:
- Link examples with libglib-2.0. Closes: #554644.
2010-03-06 - Emilio Pozuelo Monfort <pochu@debian.org>
gnet (2.0.8-2) unstable; urgency=low
[ Josselin Mouette ]
* Drop .la file, it’s not referenced anywhere.
[ Emilio Pozuelo Monfort ]
* debian/libgnet-dev.install:
- Ship the documentation in libgnet-dev. Closes: #325182.
* debian/patches/01_move_define.patch:
- Fix FTBFS by moving a #define before it's used. Closes: #569378.
* debian/control.in:
- Standards-Version is 3.8.4, no changes needed.
2008-04-07 - Sebastian Dröge <slomo@debian.org>
gnet (2.0.8-1) unstable; urgency=high
* New maintainer (Closes: #472708).
* New upstream version (Closes: #266402).
* Large cleanup:
+ Drop CVS files from diff.gz (Closes: #278037).
+ Don't put files in /usr/share/libgnet2.0-dev (Closes: #272643).
+ Make package binNMU'able (Closes: #359691).
+ Update copyright.
2005-03-01 - Takuo KITAME <kitame@debian.org>
gnet (2.0.7-1) unstable; urgency=low
* New upstream release
2003-12-19 - Takuo KITAME <kitame@debian.org>
gnet (2.0.4-1) unstable; urgency=low
* New upstream release (closes: #223443, #223451)
2003-05-22 - Takuo KITAME <kitame@debian.org>
gnet (2.0.3-1) unstable; urgency=low
* New upstream release
* remove -L/usr/lib from gnet-2.0.pc (closes: #192358)
2003-05-06 - Takuo KITAME <kitame@debian.org>
gnet (2.0.2-1) unstable; urgency=low
* New upstream release (closes: #182047)
* debian/rules: fix version detection script (closes: #179054)
2003-04-21 - Takuo KITAME <kitame@debian.org>
gnet (2.0.0-1) unstable; urgency=low
* New upstream release
2002-12-02 - Takuo KITAME <kitame@debian.org>
gnet (1.1.7-3) unstable; urgency=low
* Don't use -Werror (closes: #170671, #171379, #170616)

See Also

Package Description
libgnokii-dev_0.6.30+dfsg-1+b3_amd64.deb Gnokii mobile phone interface library (development files)
libgnokii6_0.6.30+dfsg-1+b3_amd64.deb Gnokii mobile phone interface library
libgnome-2-0_2.32.1-5_amd64.deb The GNOME library - runtime files
libgnome-bluetooth-dev_3.14.0-2_amd64.deb GNOME Bluetooth tools - support library development files
libgnome-bluetooth13_3.14.0-2_amd64.deb GNOME Bluetooth tools - support library
libgnome-desktop-2-17_2.32.1-2_amd64.deb Utility library for loading .desktop files - runtime files
libgnome-desktop-3-10_3.14.1-1_amd64.deb Utility library for loading .desktop files - runtime files
libgnome-desktop-3-dev_3.14.1-1_amd64.deb Utility library for loading .desktop files - development files
libgnome-desktop-dev_2.32.1-2_amd64.deb Utility library for loading .desktop files - development files
libgnome-keyring-common_3.12.0-1_all.deb GNOME keyring services library - data files
libgnome-keyring-dev_3.12.0-1+b1_amd64.deb Development files for GNOME keyring service
libgnome-keyring0_3.12.0-1+b1_amd64.deb GNOME keyring services library
libgnome-keyring1.0-cil-dev_1.0.0-4_amd64.deb CLI library to access the GNOME Keyring daemon
libgnome-keyring1.0-cil_1.0.0-4_amd64.deb CLI library to access the GNOME Keyring daemon
libgnome-media-profiles-3.0-0_3.0.0-1_amd64.deb GNOME Media Profiles library
Advertisement
Advertisement